Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Pfadparameter
name
string
Erforderlich
Name of the model.
version
string
Erforderlich
Version of the model.
Anforderungstext
The credential request request body.
blobUri
string
Erforderlich
Blob URI of the model asset to fetch credentials for.
Antworten
The request has succeeded.
Text
blobReference
BlobReference
Erforderlich
Blob reference details.
blobUri
string
Erforderlich
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
Erforderlich
ARM ID of the storage account to use.
credential
SasCredential
Erforderlich
SAS Credential definition
sasUri
string
Erforderlich
SAS uri
type
enum
Erforderlich
Type of credential
Anfordern
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json